---
search:
  tags:
    - Wallets
    - POST
seo:
  description: >-
    Creates a completed incoming transfer by default — used both for adding…
    Reference for the POST /wallets/{wallet_id}/transfers endpoint in the Bolder
    API v2.
sidebar:
  label: Add a balance or payment transfer
  badge: POST
title: Add a balance or payment transfer
type: openapi-operation
---
Creates a completed incoming transfer by default — used both for adding points balance and for recording a credit-wallet payment. Pass `state: pending` for a credit payment awaiting confirmation.

`POST /wallets/{wallet_id}/transfers`

**Request body** (`application/json`, required)

- `amount` (integer, required) — Positive integer amount to add.
- `description` (string, required)
- `reference_code` (string)
- `payment_method` (string)
- `shop_id` (string)
- `state` (string)

Request body example:

```json
{
  "amount": 500,
  "description": "Signup bonus",
  "reference_code": "signup-3001"
}
```

**Responses**

- `201` — Transfer created
- `422` — Invalid transfer (e.g. insufficient balance for an outgoing amount)

Response example, 201:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "direction": "incoming",
  "state": "pending",
  "amount": 0,
  "original_amount": 0,
  "description": "string",
  "reference_code": "string",
  "payment_method": "string",
  "shop_id": "string",
  "wallet_id": 0,
  "balance_expires_at": "2019-08-24T14:15:22Z",
  "created_on": "2019-08-24T14:15:22Z"
}
```
